Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Mar 2001 09:55:20 -0500

Gerrit,

On Tue, Mar 13, 2001 at 09:36:07AM +0100, Gerrit P. Haase wrote:
> Still no luck, no -s flag, -DUSE_DL_IMPORT, but the extensions did not build.
> 
> gcc -shared -Wl,--enable-auto-image-base -DUSE_DL_IMPORT build/temp.cygwin_nt-4.0-1.1.8-i686-2.1/fpectlmodule.o -L. -L/usr/local/lib -lpython2.1 -o build/lib.cygwin_nt-4.0-1.1.8-i686-2.1/fpectl.dll
> build/temp.cygwin_nt-4.0-1.1.8-i686-2.1/fpectlmodule.o(.text+0x38):fpectlmodule.c: undefined reference to `_Py_NoneStruct'
> [snip]
> collect2: ld returned 1 exit status
> WARNING: building of extension "fpectl" failed: command 'gcc' failed with exit status 1

The -DUSE_DL_IMPORT option is supposed to be used during compilation
*not* linking.  Hence, the variable used is CCSHARED not LINKFORSHARED.

The following is my output for fpectl:

building 'fpectl' extension
gcc -g -O2 -Wall -Wstrict-prototypes -DUSE_DL_IMPORT -I. -I/home/jt/src/PythonCvs/./Include -IInclude/ -I/usr/local/include -c /home/jt/src/PythonCvs/Modules/fpectlmodule.c -o build/temp.cygwin_nt-4.0-1.3.0-i686-2.1/fpectlmodule.o
gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin_nt-4.0-1.3.0-i686-2.1/fpectlmodule.o -L. -L/usr/local/lib -lpython2.1 -o build/lib.cygwin_nt-4.0-1.3.0-i686-2.1/fpectl.dll

If you manually build as above, does this (temporarily) workaround
your problem?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple